# DataCompressor.h File Reference

DataCompressor does compression on a block of data. More...

`#include "RakMemoryOverride.h"`
`#include "DS_HuffmanEncodingTree.h"`
`#include "Export.h"`

## Classes
class | DataCompressor
| Does compression on a block of data. Not very good compression, but it's small and fast so is something you can compute at runtime. More...

## Detailed Description

DataCompressor does compression on a block of data.

Not very good compression, but it's small and fast so is something you can use per-message at runtime.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.